* {
    min-height: 0;
    min-width: 0;
    box-sizing: border-box;    
}

body {
    /* --carousel-width: auto; */
    --grid-width: auto;
}

body.body--noscroll {
    overflow: hidden;
}

.kf-backdrop {
    visibility:hidden;
    position:fixed;
    width:100%;
    height:100%;
    background:rgba(255,255,255,0.9);
    opacity:0;
    transition:all 0.3s ease-in-out;
    transition-delay:0.3s;
    
    z-index:2;
}
.body--noscroll .kf-backdrop {
    visibility:visible;

    opacity:1;
}


/* fonts */

.fcolor {
    color: #00e700;
}

.scolor {
    color: #000000;
}

.fonttitle {
    font-family: Arial, sans-serif;
    font-size: 20px;
    font-weight: bold;
    line-height: 27px;
    letter-spacing: 0px;
}

.fontrunning {
    font-family: Arial, sans-serif;
    font-size: 15px;
    font-weight: normal;
    line-height: 18px;
    letter-spacing: 0.1px;
}

.spacerunit {
    width: 23px;
    height: 23px;
}

.designlogo {
    font-weight: normal;
    position: relative;
    top: -5.8pt;
    font-size: 9px;
    font-family: Arial, sans-serif;
}

input {
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.hoverg:hover {
    color: #00e700;
}

.hoverg {
    color: #000000;
    cursor: pointer;
}

.hoverb:hover {
    color: #000000;
}

.hoverb {
    color: #00e700;
    cursor: pointer;
}

.sidenewsitem:hover .hoverg {
    color: #00e700;
}

a {
    text-decoration: none;
}

b {
    font-family: Arial, sans-serif;
}

.fonttitle u {
    text-decoration: none;
    font-weight: normal;
}

.fontrunning u {
    text-decoration: none;
    font-weight: bold;
}

#kf-layout-carouselContent {
    /* flex-grow:1; */
    padding-top: 40px;
    /* max-width: var(--carousel-width); */
}

#kf-layout-main_plus_text {
    flex-direction: column;
    display: flex;
    flex-grow: 1;
}

#kf-layout-wrapper {
    --body-padding: 8px;
}

.fsdf {
    color: none;
}

#textpagesingle {
    width: 100%;
}

.titletext {
    width: 100%;
    display: inline-block;
}

#textpage {
    width: 100%;
    position: relative;
}

#nav a {
    display: block;
    text-align: center;
    color: #fff;
    background-color: #000;
    line-height: 80px;
    width: 100%;
}

#burger {
    display: inline-block;
    line-height: 40px;
    height: 40px;
    width: 40px;
    text-align: center;
    position: fixed;
    /* background: purple; */
    right: 0px;
    top: 0px;
    font-size: 60px;
    font-weight: bold;
    z-index: 99;
    transform: rotate(0deg);
    transition: all 0.3s ease-out;
}

#burger.burger--openmenu {
    /* //TODO: rotate  */
    top: 5px;
    color: #000;
    transform: rotate(135deg);
}

#nav {
    position: fixed;
    display: block;
    visibility: hidden;
    transition: all 0.5s ease;
    opacity: 0;
    top: 60px;
    width: calc(100% - 2 * var(--body-padding));
}

#nav.openmenu {
    visibility: visible;
    z-index: 5;
    opacity: 1;
    left: var(--body-padding);
}



#itemgrid {
    max-width: 100%;
    overflow-x:hidden;
}

#newsgrid {
    width: 100%;
}

#kf-layout-sidebar {
    position: fixed;
    bottom: 0px;
    width: 100%;
    left: 0px;
    padding: 12px;
    background: #FFFFFF;
    box-shadow: 0 0 14px 0 rgba(0, 0, 0, 0.10);
}

.kf-mainpage #kf-layout-sidebar {
    position: static;
    box-shadow: none;
    /* border-top:3px solid #000; */
}

#kf-layout-sidebar .filterlistitem,
#kf-layout-sidebar a {
    display: inline-block;
    margin: 0 12px 0 0px;
}

#kf-layout-sidebar input {
    width: 100%;
}

.clear #mc-embedded-subscribe {
    width: 200px;
}

#sidebartitle {
    display: none;
}

.filterlistitem {
    font-size: 15px;
}

#kf-layout-textpage,
.text-only {
    padding: 0 0 100px 0;
    max-width: var(--carousel-max-width);
}

#nav .spacer {
    display: block;
    height: 8px;
}

  .slide__caption {
        font-size:14px;
        line-height:18px;
        } 

/* Desktop */




@media screen and (min-width: 640px) {

        .slide__caption {
      font-size: 20px;

    line-height: 27px;
        } 


    * {
        box-sizing: border-box;
    }
#kf-layout-wrapper {
        --body-padding: 24px;
    
}
    body {
        --text-width: 320px;
        --side-menu-width: 200px;
        --carousel-max-width: 718px;
        --main-block-width: 656px;
        
        margin: 0;
        background: #FFF;
        color: #000;
    }
    #nav {
        display: inline-block;
        width: auto;
        opacity: 1;
        visibility: visible;
        position: static;
        /* padding-right: 32px; */
    }
    #nav a {
        display: inline-block;
        text-align: center;
        color: #000;
        background-color: transparent;
        line-height: 27px;
        width: auto;
    }
    #nav .spacer {
        display: inline-block;
        width: 8px;
        height: 0px;
    }
    #kf-layout-sidebar .filterlistitem,
    #kf-layout-sidebar a {
        padding: 0;
        margin: 0;
    }
    .filterlistitem {
           font-size: 20px;
    font-weight: bold;
    line-height: 27px;
    }
    #kf-layout-wrapper {
        display: flex;
    }
    #kf-layout-header {
        display: flex;
        justify-content: space-between;
        max-width: 718px;
        /* position:static;
        width:auto; */
    }
    #kf-layout-menu_and_carrousel {
        max-width: var(--main-block-width);
        /* width: auto; */
        /* max-width:calc(100% - var(--text-width) - var( --side-menu-width));   */
    }
    .kf-indexpage #kf-layout-menu_and_carrousel {
        width: 100%;
        max-width: var(--main-block-width)
    }
    .kf-indexpage #kf-layout-main_plus_text {
        flex-grow: 1;
    }
    .kf-indexpage #kf-layout-carouselContent {
        max-width: 100%;
    }
    #kf-layout-carouselContent {
        max-width: var(--carousel-max-width);
        /* min-width: var(--carousel-max-width);  */
    }
    #caruselimage {
        /* display:none; */
        /* display:block; */
        /* width:100%; */
    }
    .kf-layout-spacerdiv {
        flex-grow: 1;
        min-width: 24px;
    }
    .kf-indexpage .kf-layout-spacerdiv {
        flex-grow: 0;
    }
    .kf-indexpage #kf-layout-textpagesingle {
        display: none;
    }
    #kf-layout-sidebar {
        position: static;
        padding: 0px;
        width: var(--side-menu-width);
        box-shadow: none;
    }
    #sidebartitle {
        display: block;
    }
    #kf-layout-wrapper {
        padding: var(--body-padding);
    }
    #footer {
        width: 100%;
        height: 200px;
    }
    #sidebar a {
        display: block;
    }
    #itemgrid,
    #newsgrid {
        max-width: var(--main-block-width);
        left: -16px;
    }
    #logo {
        font-weight: bold;
        display: inline-block;
        line-height: 0px;
    }
    #nav a {
        display: inline-block;
        text-align: right;
    }
    #nav a:hover {
        color: #00e700;
    }
    #nav {}
    #textpagesingle {
        width: 300px;
        display: inline-block;
        /* float: left; */
    }
    .titletext {
        display: inline-block;
        width: 100%;
        /* padding-left: 346px; */
    }
    #caruselimage {
        background-color: #000;
        text-align: center;
    }
    /* html {
        overflow-y: scroll;
    } */
    #sidebartitle {
        width: 100%;
        height: 64px;
    }
    #burger {
        display: none;
    }
    #kf-layout-sidebar .filterlistitem,
    #kf-layout-sidebar a {
        display: block;
    }
    .kf-layout-spacerdiv {
        display: block;
    }
    /* .kf-indexpage #kf-layout-menu_and_carrousel { */
    /* --main-block-width: 100%; */
    /* } */
}

@media screen and (min-width: 957px) {
    /* 3 cols */
    body {
        --main-block-width: 763px;
    }
    /* body.kf-indexpage--news {
        --carousel-width: 718px;
        --main-block-width: 718px;
    } */
    #nav .spacer {
        display: inline-block;
        width: 40px;
    }
    #kf-layout-header {
        width: 718px;
        position:static;
    }
    .titletext {
        padding-left: 346px;
    }
}

@media screen and (min-width: 1273px) {
    body {
        --main-block-width: 100%;
    }
    #kf-layout-main_plus_text {
        flex-direction: row;
        /* width:100%; */
    }
    #kf-layout-textpage {
        width: var(--text-width);
        min-width: var(--text-width);
        padding-top: 64px;
        padding-left: 16px;
    }
}


/* Remove iphone styling */


input {
    border-radius: 0;
}
input {
    -webkit-appearance: none;
}

.carousel-preloader {
    height:24px;
    text-align:center;
    color:#f0f;
}
